
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; K</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/msvcrt.html#msvcrt.kbhit">kbhit() (in module msvcrt)</a>
  </dt>

      
  <dt><a href="library/webbrowser.html#index-2">KDEDIR</a>
  </dt>

      
  <dt><a href="library/select.html#select.kevent">kevent() (in module select)</a>
  </dt>

      
  <dt><a href="reference/expressions.html#index-13">key</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/http.cookies.html#http.cookies.Morsel.key">(http.cookies.Morsel attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="glossary.html#term-key-function"><strong>key function</strong></a>
  </dt>

      
  <dt><a href="reference/expressions.html#index-13">key/datum pair</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_ALL_ACCESS">KEY_ALL_ACCESS (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_CREATE_LINK">KEY_CREATE_LINK (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_CREATE_SUB_KEY">KEY_CREATE_SUB_KEY (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_ENUMERATE_SUB_KEYS">KEY_ENUMERATE_SUB_KEYS (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_EXECUTE">KEY_EXECUTE (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_NOTIFY">KEY_NOTIFY (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_QUERY_VALUE">KEY_QUERY_VALUE (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_READ">KEY_READ (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_SET_VALUE">KEY_SET_VALUE (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_WOW64_32KEY">KEY_WOW64_32KEY (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_WOW64_64KEY">KEY_WOW64_64KEY (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.KEY_WRITE">KEY_WRITE (in module winreg)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#KeyboardInterrupt">KeyboardInterrupt</a>
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/exceptions.html#index-1">(built-in exception)</a>, <a href="c-api/exceptions.html#index-2">[1]</a>
  </dt>

      </dl></dd>
  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/exceptions.html#KeyError">KeyError</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.keyname">keyname() (in module curses)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.keypad">keypad() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/weakref.html#weakref.WeakKeyDictionary.keyrefs">keyrefs() (weakref.WeakKeyDictionary method)</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#dict.keys">keys() (dict method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/email.message.html#email.message.Message.keys">(email.message.Message method)</a>
  </dt>

        
  <dt><a href="library/mailbox.html#mailbox.Mailbox.keys">(mailbox.Mailbox method)</a>
  </dt>

        
  <dt><a href="library/sqlite3.html#sqlite3.Row.keys">(sqlite3.Row method)</a>
  </dt>

        
  <dt><a href="library/types.html#types.MappingProxyType.keys">(types.MappingProxyType method)</a>
  </dt>

        
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.Element.keys">(xml.etree.ElementTree.Element method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/collections.abc.html#collections.abc.KeysView">KeysView (class in collections.abc)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/typing.html#typing.KeysView">(class in typing)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/lexical_analysis.html#index-13">keyword</a>
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-30">async</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-30">await</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-3">elif</a>, <a href="reference/compound_stmts.html#index-3">[1]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-13">else</a>, <a href="reference/compound_stmts.html#index-3">[1]</a>, <a href="reference/compound_stmts.html#index-3">[2]</a>, <a href="reference/compound_stmts.html#index-4">[3]</a>, <a href="reference/compound_stmts.html#index-4">[4]</a>, <a href="reference/compound_stmts.html#index-6">[5]</a>, <a href="reference/compound_stmts.html#index-6">[6]</a>, <a href="reference/simple_stmts.html#index-28">[7]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-10">except</a>, <a href="reference/compound_stmts.html#index-11">[1]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-10">finally</a>, <a href="reference/compound_stmts.html#index-14">[1]</a>, <a href="reference/simple_stmts.html#index-22">[2]</a>, <a href="reference/simple_stmts.html#index-29">[3]</a>, <a href="reference/simple_stmts.html#index-30">[4]</a>
  </dt>

        
  <dt><a href="reference/simple_stmts.html#index-31">from</a>, <a href="reference/simple_stmts.html#index-33">[1]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-6">in</a>, <a href="reference/compound_stmts.html#index-6">[1]</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-16">yield</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/keyword.html#module-keyword">keyword (module)</a>
  </dt>

      
  <dt><a href="glossary.html#term-keyword-argument"><strong>keyword argument</strong></a>
  </dt>

      
  <dt><a href="library/functools.html#functools.partial.keywords">keywords (functools.partial attribute)</a>
  </dt>

      
  <dt><a href="library/asyncio-subprocess.html#asyncio.asyncio.subprocess.Process.kill">kill() (asyncio.asyncio.subprocess.Process method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-protocol.html#asyncio.BaseSubprocessTransport.kill">(asyncio.BaseSubprocessTransport method)</a>
  </dt>

        
  <dt><a href="library/os.html#os.kill">(in module os)</a>
  </dt>

        
  <dt><a href="library/subprocess.html#subprocess.Popen.kill">(subprocess.Popen method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/curses.html#curses.killchar">killchar() (in module curses)</a>
  </dt>

      
  <dt><a href="library/os.html#os.killpg">killpg() (in module os)</a>
  </dt>

      
  <dt><a href="library/inspect.html#inspect.Parameter.kind">kind (inspect.Parameter attribute)</a>
  </dt>

      
  <dt><a href="library/mimetypes.html#mimetypes.knownfiles">knownfiles (in module mimetypes)</a>
  </dt>

      
  <dt><a href="library/select.html#select.kqueue">kqueue() (in module select)</a>
  </dt>

      
  <dt><a href="library/selectors.html#selectors.KqueueSelector">KqueueSelector (class in selectors)</a>
  </dt>

      
  <dt><a href="library/inspect.html#inspect.BoundArguments.kwargs">kwargs (inspect.BoundArguments attribute)</a>
  </dt>

      
  <dt><a href="library/keyword.html#keyword.kwlist">kwlist (in module keyword)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="#"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>